#!/usr/bin/env python
# -*- coding: utf-8 -*-

## Tivion
## Copyright (C) 2009 Ángel Guzmán Maeso
## http://shakaran.es
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

CHANNEL_VERSION = '1260617335' # Total channels 452

import countries as co
import constants as cons

### List of channels 
# Do you have a new channel? Do you want to add? or some channel is broken?
# Send me an email to shakaran at gmail dot com and add/fix it with pleasure
CHANNEL = [ # Note: Channel 0 is reserved!
            ## Spain ## 58
            # [BROKEN-INVALID]['1', co.es_ES, cons.TV, 'La 1 - TVE - HD', 'FILMON23'],
            # http://79.125.47.119/rtve?auth=b814ab9dfca5a83ef9187a1aed60ba4d
            # [BROKEN-INVALID]['2', co.es_ES, cons.TV, 'La 1 - TVE LoSp', 'FILMON53'],
            # http://79.125.47.119/rtve_ls?auth=31b3e9148bfdd951671fb9e97a575dce
            # http://rtve.stream.flumotion.com/rtve/24h.flv.m3u BROKEN
            # http://195.10.10.103:80/rtve/24h.flv # BROKEN
            # http://194.224.110.205:80/rtve/24h.flv (Actual Server)
            ['3', co.es_ES, cons.TV, '24 horas', 'http://24h.rtve.stream.flumotion.com/rtve/24h.flv.m3u'],
            ['4', co.es_ES, cons.TV, 'Nova', 'http://195.10.10.103:80/antena3/nova.asf'],
            ['5', co.es_ES, cons.TV, 'Intereconomía', 'mms://www.intereconomia.com/INTERECONOMIA-TV'],
            ['6', co.es_ES, cons.TV, 'Canal Sur', 'http://andaluciatelevision.rtva.stream.flumotion.com/rtva/andaluciatelevision.flv.m3u'],
            # http://195.10.10.209:80/rtva/andaluciatelevision.flv'],
            # http://195.10.10.215:80/rtva/andaluciatelevision.flv
            ['7', co.es_ES, cons.TV, 'Extremadura', 'http://195.10.10.214:80/extremaduratv/live1_600.flv'],
            # http://live1.extremaduratv.stream.flumotion.com/extremaduratv/live1_600.flv.m3u
            ['8', co.es_ES, cons.TV, 'Antena 3', 'http://83.231.187.102:80/antena3/antena3.asf'],
            ['8', co.es_ES, cons.TV, 'A3 Noticias 24h (slow)', 'http://199.93.35.37/antena3wmlive-live/canal24h?MSWMExt=.asf'],
            # mms://antena3livewm.fplive.net/antena3wmlive-live/canal24h
            # http://199.93.35.37:80/antena3wmlive-live/canal24h?MSWMExt=.asf
            # http://199.93.35.37/antena3wmlive-live/canal24h?MSWMExt=.asf
            # http://antena3livewm.fplive.net/antena3wmlive-live/canal24h?MSWMExt=.asf
            ['9', co.es_ES, cons.TV, 'Neox 8 (slow)', 'http://195.55.74.101:80/antena3/neox.asf'],
            # http://neox.stream.flumotion.com/antena3/neox.asf.asx
            ['10', co.es_ES, cons.TV, 'Canal Parlamento (slow)', 'mms://stream2.terra.es/wm2live1'],
            # http://10.20.38.13:80/wm2live1?MSWMExt=.asf 
            # http://stream2.terra.es/wm2live1?MSWMExt=.asf
            ['11', co.es_ES, cons.TV, 'A3 Internacional (slow)', 'http://206.33.32.19:80/antena3wmlive-live/canalinternacional?MSWMExt=.asf'],
            # mms://antena3livewm.fplive.net/antena3wmlive-live/canalinternacional
            # http://antena3livewm.fplive.net/antena3wmlive-live/canalinternacional?MSWMExt=.asf
            ['12', co.es_ES, cons.TV, 'CNN+', 'http://90.84.49.102:80/D/1808/15716/v0001/reflector:39807?MSWMExt=.asf'],
            # mms://a1808.l1571639807.c15716.e.lm.akamaistream.net/D/1808/15716/v0001/reflector:39807
            # http://a1808.l1571639807.c15716.e.lm.akamaistream.net/D/1808/15716/v0001/reflector:39807?MSWMExt=.asf
            ['13', co.es_ES, cons.TV, 'ATEI (slow)', 'http://calixto.c.mad.interhost.com/radioatei'],
            # BROKEN ['14', co.es_ES, cons.TV, 'Almansa TV (slow)', 'http://89.29.128.6:7007/'],
            ['14', co.es_ES, cons.TV, 'Almansa TV (slow)', 'mms://89.29.128.10/tvalmansa'],
            ['15', co.es_ES, cons.TV, 'Aragon TV', 'http://195.10.10.215:80/tvaragon/live.asf'],
            ['16', co.es_ES, cons.TV, 'Ojos Solidarios TV', 'mms://wm.mad.interhost.com/OjosSolidariosTv'], # Canal 13 Digital (Las Palmas de Gran Canaria )
            ['17', co.es_ES, cons.TV, 'Duson TV (slow)', 'mms://antena.fundaciongoldenclover.com/live'], # Medicina Natural
            ['18', co.es_ES, cons.TV, 'ETB Sat', 'mms://a217.l881320216.c8813.e.lm.akamaistream.net/D/217/8813/v0001/reflector:20216'],
            ['19', co.es_ES, cons.TV, 'Fuego TV', 'mms://rcri2.com/fuegotv'],
            ['20', co.es_ES, cons.TV, 'IB3 TV', 'mms://streamingtv01.ib3.es/ib3tv_en_directe'],
            ['21', co.es_ES, cons.TV, 'Localia-Huesca', 'mms://streaming.wdreams.com/localiatv'],
            ['22', co.es_ES, cons.TV, 'Madrid (DGT)', 'mms://stream2.terra.es/wm2live2'],
            ['23', co.es_ES, cons.TV, 'Radio Televisión Insular', 'mms://wagner.serveisweb.com/TI013'], #RTI o RTV Insular o RTI Gran Canaria
            ['24', co.es_ES, cons.TV, 'Teleasturias', 'mms://DWS28.dinaserver.com/directo'],
            ['25', co.es_ES, cons.TV, 'Telebahia - Cantabria', 'mms://stream.visualnetworks.es/str059'],
            ['26', co.es_ES, cons.TV, 'TV Ferrol', 'http://stream.visualnetworks.es:3840/tvf'],
            ['27', co.es_ES, cons.TV, 'Teletaxi', 'mms://88.87.218.43/teletaxitv'],
            ['28', co.es_ES, cons.TV, 'TV Canaria', 'mms://wm.gobiernodecanarias.org/tvctdt'],
            ['29', co.es_ES, cons.TV, 'TV Martí', 'mms://a165.1211035484.c2110.g.lm.akamaistream.net/D/165/2110/v0001/reflector:35484'],
            ['30', co.es_ES, cons.TV, 'TV Segovia', 'mms://video.ono.com/tvcyl_tvsg'],
            ['31', co.es_ES, cons.TV, 'Onda Almeria TV', 'mms://84.20.4.142/ondamartv'],
            ['32', co.es_ES, cons.TV, 'Videncia TV', 'mms://verdi.serveisweb.com/AT018'], # Mundo mágico TV
            ['33', co.es_ES, cons.TV, 'Cervantes TV', 'mms://193.146.5.220/Cervantes_tv'], 
            ['35', co.es_ES, cons.TV, 'TVCI HD', 'mms://i2catvserver.i2cat.net/TVC_inter'],
            ['36', co.es_ES, cons.TV, 'Canal Noticias Huelva', 'mms://video.ono.com/cnh'], #CNH
            ['37', co.es_ES, cons.TV, 'CRTVG Galicia', 'mms://85.91.64.23/Television'],
            ['38', co.es_ES, cons.TV, 'Ejido TV', 'mms://bach.serveisweb.com/EJ002'],
            ['39', co.es_ES, cons.TV, 'Estepona TV', 'mms://216.66.84.2/237461'],
            ['40', co.es_ES, cons.TV, 'Estrada TV', 'mms://82.223.149.58/estradatelevision'],
            ['41', co.es_ES, cons.TV, 'STV Rioja', 'mms://www.riojasintonia.com/stv'],
            ['43', co.es_ES, cons.TV, 'TeleTrébol', 'mms://streaming.alisys.net/rsa_tv?.wma'],
            ['44', co.es_ES, cons.TV, 'TVMas (Maspalomas)', 'mms://win.1.c3.audiovideoweb.com/1c3winlive6808'],
            ['45', co.es_ES, cons.TV, 'TVVi', 'mms://hechicera.cap.gva.es/tvvi?rtvv'],
            ['46', co.es_ES, cons.TV, 'Universidad Rey Juan Carlos', 'mms://marx.urjc.es/urjc'], #URJC
            ['47', co.es_ES, cons.TV, 'Universidad de Vigo', 'mms://193.146.209.50/directo'], 
            ['48', co.es_ES, cons.TV, 'Velevisa TV - Velez-Málaga', 'mms://212.163.215.206/Directo'], 
            ['49', co.es_ES, cons.TV, 'Cetelmon TV', 'mms://wagner.serveisweb.com/CE027'],
            ['50', co.es_ES, cons.TV, 'Canal 7', 'http://195.10.10.211/canal7tv/live.asf'],
            ['51', co.es_ES, cons.RADIO, 'Canal Sur Radio', 'http://canalsurradio.rtva.stream.flumotion.com/rtva/canalsurradio_master.mp3.m3u'], # --crop=16:9 --aspect-ratio=16:9
            ['51', co.es_ES, cons.RADIO, 'Radio Andalucía', 'http://radioandalucia.rtva.stream.flumotion.com/rtva/radioandalucia.mp3.m3u'], # --crop=16:9 --aspect-ratio=16:9
            ['51', co.es_ES, cons.RADIO, 'Canal Fiesta Radio', 'http://canalfiestaradio.rtva.stream.flumotion.com/rtva/canalfiestaradio_master.mp3.m3u'], # --crop=16:9 --aspect-ratio=16:9
            ['51', co.es_ES, cons.RADIO, 'Canal Flamenco', 'http://canalflamenco.rtva.stream.flumotion.com/rtva/canalflamenco.mp3.m3u'], # --crop=16:9 --aspect-ratio=16:9
            ['51', co.es_ES, cons.RADIO, 'Cadena SER Motril', 'http://217.125.82.196:4556'], # --crop=16:9 --aspect-ratio=16:9
            ['52', co.es_ES, cons.RADIO, 'RNE Radio 1', 'mms://a259.l773120483.c7731.e.lm.akamaistream.net/D/259/7731/v0001/reflector:20483'], # --crop=16:9 --aspect-ratio=16:9
            #[FIXME]IMG but no sound['30', en_GB, 'Radio Marca', 'mms://reflector.radiomarca.com:9004'], # --crop=16:10 --aspect-ratio=16:9
            ['53', co.es_ES, cons.RADIO, 'COPE', 'http://83.231.187.202:80/cope/copefm.asf'], # --crop=16:9 --aspect-ratio=16:9
            ['54', co.es_ES, cons.RADIO, 'OndaCero Madrid', 'mms://ondacerolivewm.fplive.net/ondacerowmlive-live/oc_convencional'], # --crop=16:9 --aspect-ratio=16:9
            ['55', co.es_ES, cons.RADIO, 'Punto Radio', 'http://www.puntoradio.com/streaming/puntoradio.pls'], # --crop=16:9 --aspect-ratio=16:9
            ['56', co.es_ES, cons.RADIO, 'RTV Amistad', 'mms://markoni.netpatio.com/rtvamistad/rtvamistad'],
            ['57', co.es_ES, cons.RADIO, 'Vaughan Radio - PLS', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=pls'], # ovh.net
            #[FIXME] Stream not seekable! Totem works well.['56', co.es_ES, 'Vaughan Radio - PLS and RAM (Proxy)', 'http://server03.streaming-pro.com/CLUSTER/castcontrol/proxy.php?id=7'], # ovh.net
            # http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=pls&proxy=true
            #[FIXME] Stream not seekable!['57', co.es_ES, 'Vaughan Radio - ASX', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=asx'], # ovh.net
            ['58', co.es_ES, cons.RADIO, 'Vaughan Radio - ASX (Proxy)', 'http://server03.streaming-pro.com/CLUSTER/castcontrol/proxy.php?wmp=true&id=7'], # ovh.net
            # http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=asx&proxy=true
            #[FIXME] Stream not seekable!['59', co.es_ES, 'Vaughan Radio - RAM', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=ram'], # ovh.net
            #['60', co.es_ES, 'Vaughan Radio - RAM (Proxy)', 'http://server00.streaming-pro.com/castcontrol/castcontrol/playlist.php?id=4&type=ram&proxy=true'], # ovh.net
            #http://server03.streaming-pro.com/CLUSTER/castcontrol/proxy.php?id=7
            ['56', co.es_ES, cons.RADIO, 'Canal Extremadura', 'http://radio.extremaduratv.stream.flumotion.com/extremaduratv/canalextremaduraradio.mp3.m3u'],
            ['56', co.es_ES, cons.RADIO, 'TV-Canarias-SAT', 'mms://wm.gobiernodecanarias.org/tvc2'],
            ['56', co.es_ES, cons.RADIO, 'Telecorazón', 'mms://video.ono.com/telecorazon?WMBitrate=512000'],
            ['57', co.es_ES, cons.TV, 'Kabbalah TV Spanish', 'mms://s53wm.castup.net/991910010-52.wmv?ct=ES'],
            ['57', co.es_ES, cons.TV, 'Televisió de Girona', 'mms://a1326.l1536459325.c15364.g.lm.akamaistream.net/D/1326/15364/v0001/reflector:59325'],
            ['57', co.es_ES, cons.TV, 'Gandia Televisió', 'mms://mmedia01.connectate.com/str061'],
            ['57', co.es_ES, cons.TV, 'Nuevo Tiempo', 'mms://strm01.novotempo.org.br/TVNuevoTiempo-Vivo'],
            
            ## United States ## 53
            ['80', co.en_US, cons.TV, 'Asian small-clawed Otters Cam', 'mms://160.111.143.151/ao'],
            ['80', co.en_US, cons.TV, 'Barn Owl Cam [California]', 'mms://puffin.audubon.org/wmtencoder/starrranchhumming.wmv'],
            ['80', co.en_US, cons.TV, 'Cheetah Cam', 'mms://NZPWMserver1.si.edu/cheetah1'],
            ['80', co.en_US, cons.TV, 'City of Tampa Television', 'mms://cttv.tampagov.net/cttv'],
            ['80', co.en_US, cons.TV, 'Coral Gables Television', 'mms://216.242.214.8/cocgtvlive'],
            ['80', co.en_US, cons.TV, 'CTNi', 'mms://169.130.151.126/ctni'], # CHRISTIAN TELEVISION NETWORK
            ['80', co.en_US, cons.TV, 'CTVN', 'mms://quickstudy.wmlive.internapcdn.net/live_quickstudy_vitalstream_com_cornerstoneTv'],
            ['80', co.en_US, cons.TV, 'e-Gov-DBTv', 'mms://stream.codb.us/ch99'],
            ['80', co.en_US, cons.TV, 'Ferret Cam', 'mms://NZPWMserver1.si.edu/bff'],
            ['80', co.en_US, cons.TV, 'Florida Beach Cam', 'mms://24.214.233.60/beach'],
            ['80', co.en_US, cons.TV, 'Golden Lion Tamarin Cam', 'mms://NZPWMserver1.si.edu/glt'],
            ['80', co.en_US, cons.TV, 'Gorilla Cam', 'mms://nzpmedia1.si.edu/gorilla'],
            ['80', co.en_US, cons.TV, 'Hog\'s Breath Saloon Cam', 'mms://floridakeysmedia.com/hogsbarcam'],
            ['80', co.en_US, cons.TV, 'Home Shopping Network', 'mms://wm-live.z1.mii-streaming.net/live/hsn/hsnlive'],
            ['80', co.en_US, cons.TV, 'Home Shopping Network [HSN]', 'mms://live.hsn.com/live/hsn/hsnlive'],
            ['80', co.en_US, cons.TV, 'Kiwi Chick Cam', 'mms://NZPWMserver1.si.edu/ke0ed0bc8c'],
            ['80', co.en_US, cons.TV, 'Lion Cam', 'mms://160.111.143.151/lion'],
            ['80', co.en_US, cons.TV, 'MicroTheatre Cam', 'mms://NZPWMserver1.si.edu/mt'],
            ['80', co.en_US, cons.TV, 'Octopus Cam', 'mms://NZPWMserver1.si.edu/octopus'],
            ['80', co.en_US, cons.TV, 'Olelo Focus 49 [Hawaii]', 'mms://207.7.154.95/olelo_focus?wmcache=0'],
            ['80', co.en_US, cons.TV, 'Olelo O\'AHU52 [Hawaii]', 'mms://207.7.154.95/olelo_oahu52?wmcache=0'],
            ['80', co.en_US, cons.TV, 'Olelo NATV 53 [Hawaii]', 'mms://207.7.154.95/olelo_natv?wmcache=0'], # DWTV
            ['80', co.en_US, cons.TV, 'Olelo View 54 [Hawaii]', 'mms://207.7.154.95/olelo_views54?wmcache=0'],
            ['80', co.en_US, cons.TV, 'Orange County TV [Florida]', 'mms://otv.ocfl.net/live'],
            ['80', co.en_US, cons.TV, 'Orangutan Cam', 'mms://NZPWMserver1.si.edu/thinktank'],
            ['80', co.en_US, cons.TV, 'Panama City Pool Cam', 'mms://24.214.233.60/poolwest'],
            ['80', co.en_US, cons.TV, 'Panda Cam', 'mms://160.111.253.227/pandacam1'],
            ['80', co.en_US, cons.TV, 'Panda Cam 2', 'mms://160.111.253.227/pandacam2'],
            ['80', co.en_US, cons.TV, 'Pool Cam', 'mms://24.214.233.60/pooleast'],
            ['80', co.en_US, cons.TV, 'Report on Business TV', 'mms://pbs.wmod.llnwd.net/a1863/e1/general/windows/nbr/nbr_160.wmv'],
            ['80', co.en_US, cons.TV, 'Roswell\'s Government Access TV', 'mms://roswell.ecstreams.com/RoswellLive'],
            ['80', co.en_US, cons.TV, 'Rutherford County Television [TV19 Rutherford Cnty., TN]', 'mms://media1.rutherfordcountytn.gov:1031/live'],
            ['80', co.en_US, cons.TV, 'SGTV [TV199 Seminole Cnty, FL]', 'mms://streaming.seminolecountyfl.gov/live'],
            ['80', co.en_US, cons.TV, 'Sloth Bears Cam', 'mms://160.111.143.151/sb2'],
            ['80', co.en_US, cons.TV, 'Spokane City Cam', 'mms://media.spokanecity.org/100k'],
            ['80', co.en_US, cons.TV, 'Talk Radio Studio Cam [Tennessee]', 'mms://media.americainter.net/wgowenc2'],
            ['80', co.en_US, cons.TV, 'Tele Restauración', 'mms://live1.christianvideochannel.com/jemir'],
            ['80', co.en_US, cons.TV, 'The Aqualand Cam', 'mms://24.214.233.60/waterpark'],
            ['80', co.en_US, cons.TV, 'The Network 125 Internet TV and Video Guide Channel', 'mms://channel125.com/guide'],
            ['80', co.en_US, cons.TV, 'The Online Piano Bar', 'mms://wn71.reliablehosting.com/customer54'],
            ['80', co.en_US, cons.TV, 'Thriller Classics TV', 'mms://85.214.87.175/thriller-tv/rtsp:/85.214.87.175/thriller-tv/rtsp:/85.214.87.175/thriller-tv/rtsp:/85.214.87.175/thriller-tv/video'],
            ['80', co.en_US, cons.TV, 'Tiger Cam', 'mms://nzpmedia1.si.edu/tiger1'],
            ['80', co.en_US, cons.TV, 'TV Knob Movies', 'mms://streams.tvknob.com/tvloops/CH7/tvknob.wsx'],
            ['80', co.en_US, cons.TV, 'TV Marti', 'mms://a165.1211035484.c2110.g.lm.akamaistream.net/D/165/2110/v0001/reflector:35484'],
            ['80', co.en_US, cons.TV, 'Twelve TV', 'mms://a986.l2602438985.c26024.n.lm.akamaistream.net/D/986/26024/v0001/reflector:38985'],
            ['80', co.en_US, cons.TV, 'University of Virginia', 'mms://VIDEO1.itc.virginia.edu/RotundaCam'],
            ['80', co.en_US, cons.TV, 'Wilderness Waterpark', 'mms://66.135.44.65/Wilderness1'],
            ['80', co.en_US, cons.TV, 'WLOX [ABC13 Gulfport/Biloxi, MS]', 'mms://a501.l5671342500.c56713.n.lm.akamaistream.net/D/501/56713/v0001/reflector:42500'],
            ['80', co.en_US, cons.TV, 'Yellowstone Geyser Cam', 'mms://a293.l2717654292.c27176.g.lm.akamaistream.net/D/293/27176/v0001/reflector:54292'],
            ['80', co.en_US, cons.RADIO, 'DI FM - House', 'http://www.di.fm/mp3/house.pls'],
            ['80', co.en_US, cons.RADIO, 'Only house music radio (PLS)', 'http://87.117.250.3:9130/listen.pls'],
            ['80', co.en_US, cons.RADIO, 'Only house music radio (ASX)', 'http://87.117.250.3:9130'],
            #http://www.streamsolutions.co.uk/launch/?server=87.117.250.3&port=9130&type=Shoutcast&file=asx
            
            ## United Kingdom ## 55
            # [BROKEN-INVALID]['54', co.en_GB, cons.TV, 'BBC 1', 'FILMON14'], # --crop=16:10 --aspect-ratio=16:9
            #  http://79.125.47.119/bbc1?auth=65d976cc5ac7b78f5e9b098df927d5aa
            # [BROKEN-INVALID]['55', co.en_GB, cons.TV, 'BBC 1 LoSp', 'FILMON35'], # --crop=16:10 --aspect-ratio=16:9
            #  http://79.125.47.119/bbc1_ls?auth=7f9d5be762f9ae3951a169aeff2a627d
            # [BROKEN-INVALID]['56', co.en_GB, cons.TV, 'BBC 2', 'FILMON25'], # --crop=16:10 --aspect-ratio=16:9
            # 'http://79.125.47.119/bbc2_ls?auth=869b841670c28fe91747e5ba1af7ed13'
            # [BROKEN-INVALID]['41', co.en_GB, cons.TV, 'BBC 2 LoSp', 'FILMON55'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/bbc2_ls?auth=52367436cf413623dd9af0b6254014a4
            # [BROKEN-INVALID]['42', co.en_GB, cons.TV, 'ITV 1', 'FILMON11'], # --crop=16:10 --aspect-ratio=16:9
            #'http://79.125.47.119/itv1?auth=763fe6374a384237bf7041afbef79f47'
            # [BROKEN-INVALID]['43', co.en_GB, cons.TV, 'ITV 1 LoSp', 'FILMON42'], # --crop=16:10 --aspect-ratio=16:9
            #'http://79.125.47.119/itv1_ls?auth=12586d8556b09487ffd4a18e75467df9'
            # [BROKEN-INVALID]['44', co.en_GB, cons.TV, 'Channel 4', 'FILMON02'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/channel4?auth=884aaedf2e47829fc9d9e3cb97581280
            # [BROKEN-INVALID]['45', co.en_GB, cons.TV, 'Channel 4 LoSp', 'FILMON36'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/channel4_ls?auth=0169247e35e8343699e1b6909da0ee73
            # [BROKEN-INVALID]['46', co.en_GB, cons.TV, 'Channel 5', 'FILMON22'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/five?auth=ae578cb33b1e7881bc1f66f4cfcedc61
            # [BROKEN-INVALID]['47', co.en_GB, cons.TV, 'Channel 5 LoSp', 'FILMON52'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/five_ls?auth=2a9328f4a7f1deb11ce73083892bd7db
            # ['X', en_GB, 'ITV 2', 'mms://itvbrdbnd-itv2.wm.llnwd.net/itvbrdbnd_itv2?h=eb85fd5ceb888cfff1630b7b6d02dc06i'], # --crop=16:10 --aspect-ratio=16:9 Not available
            #['X', en_GB, 'ITV 3', 'mms://itvbrdbnd-itv3.wm.llnwd.net/itvbrdbnd_itv3?h=0b73cc338e26a65c89b769771e89525c'], # --crop=16:10 --aspect-ratio=16:9 Not available
            ['48', co.en_GB, cons.TV, 'ITV 4', 'mms://itvbrdbnd-itv4.wm.llnwd.net/itvbrdbnd_itv4?h=68c827f6e0551016d50c30c4b2ad01ae'], # --crop=16:10 --aspect-ratio=16:9
            # [BROKEN-INVALID]['49', co.en_GB, cons.TV, 'Film 4', 'FILMON13'], # --crop=16:10 --aspect-ratio=4:3
            # http://79.125.47.119/film4?auth=39f83649a5d4183d0781650be1cd3736
            # [BROKEN-INVALID]['50', co.en_GB, cons.TV, 'Film 4 LoSp', 'FILMON44'], # --crop=16:10 --aspect-ratio=4:3
            # http://79.125.47.119/film4_ls?auth=2a7c131dc3d1eabe87b6d0ba6df1a16a
            # [BROKEN-INVALID]['51', co.en_GB, cons.TV, 'Zone Horror', 'FILMON19'], # --crop=4:3 --aspect-ratio=4:3
            # http://79.125.47.119/zone_horror?auth=a79c3a89e7a8f6626f9ef1ba45b081a0
            # [BROKEN-INVALID]['52', co.en_GB, cons.TV, 'Zone Horror LoSp', 'FILMON49'], # --crop=4:3 --aspect-ratio=4:3
            # http://79.125.47.119/zone_horror_ls?auth=611d1e387ac48836032be6c01dc645fc
            # [BROKEN-INVALID]['53', co.en_GB, cons.TV, 'BBC XTRAS', 'FILMON26'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/sky-news?auth=73670c3416a48504246044bfaa5764d6
            # [BROKEN-INVALID]['54', co.en_GB, cons.TV, 'BBC XTRAS LoSp', 'FILMON56'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/sky-news_ls?auth=ca28e8bb47918a24f598072d7421907a
            # [BROKEN-INVALID]['55', co.en_GB, cons.TV, 'Eurosport 2', 'FILMON89'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/eurosport2?auth=bab68097441146e5a4f1fe33fdaa731f
            # [BROKEN-INVALID]['56', co.en_GB, cons.TV, 'Eurosport 2 LoSp', 'FILMON90'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/eurosport2_ls?auth=041048e5b94a42f61ba10eca4df96cda
            ##FIXME['30', en_GB, 'Eurosport News', 'http://player.eurosport.fr/playlist.aspx?mode=live&id=6'], # --crop=16:10 --aspect-ratio=16:9
            # [BROKEN-INVALID]['57', co.en_GB, cons.TV, 'Scuzz', 'FILMON59'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/scuzz?auth=7d6c9c00ef842d26b9d53b83950e71c5
            # [BROKEN-INVALID]['58', co.en_GB, cons.TV, 'Scuzz LoSp', 'FILMON61'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/scuzz_ls?auth=1bf0542b1cabd7339718050fbbc3936f
            # [BROKEN-INVALID]['59', co.en_GB, cons.TV, 'Flaunt', 'FILMON60'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/flaunt?auth=2ce5ca0be6ce68a363afed6716080846
            # [BROKEN-INVALID]['60', co.en_GB, cons.TV, 'Flaunt LoSp', 'FILMON58'], # --crop=16:10 --aspect-ratio=16:9
            # http://79.125.47.119/flaunt_ls?auth=6dea9bb7097578d0315e50128e1cfb91
            # [BROKEN-INVALID]['61', co.en_GB, cons.TV, 'Fashion TV', 'FILMON24'], # --crop=16:10 --aspect-ratio=4:3 
            # http://79.125.47.119/fashion_tv?auth=e0d5e3b048008a1012259b111a63df10
            # [BROKEN-INVALID]['62', co.en_GB, cons.TV, 'Fashion TV LoSp', 'FILMON54'], # --crop=16:10 --aspect-ratio=4:3 
            # http://79.125.47.119/fashion_tv_ls?auth=609c1025da6ea743b8709fdef0f8b022
            ['63', co.en_GB, cons.TV, 'BBC Click', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc1/bb/wm/video/click_bb.wmv'],
            ['64', co.en_GB, cons.TV, 'BBC Daily Politics', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc2/bb/wm/video/daily_pol_bb.wmv'],
            ['65', co.en_GB, cons.TV, 'BBC Panorama', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc1/bb/wm/video/panorama_bb.wmv'],
            ['66', co.en_GB, cons.TV, 'BBC Question Time', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc1/bb/wm/video/question_bb.wmv'],
            ['67', co.en_GB, cons.TV, 'BBC News 24H', 'http://www.bbc.co.uk/newsa/n5ctrl/tvseq/od/bbc2/nb/wm/video/newsnight_nb.asx'],
            ['68', co.en_GB, cons.TV, 'BBC Newsnight', 'mms://rmv8.bbc.net.uk/news/olmedia/n5ctrl/tvseq/od/bbc2/bb/wm/video/newsnight_bb.wmv'], # Maybe repeat
            ['69', co.en_GB, cons.TV, 'Invincible', 'mms://wm.Astream.net/urban'],
            ['70', co.en_GB, cons.TV, 'MTA 3 Al Arabiyah', 'mms://212.199.206.17/mta-high'],
            ['71', co.en_GB, cons.TV, 'MTA Muslim TV', 'mms://live300k1.wm.muslimtv.servecast.net/MuslimTV_wmlz_live300ken'],
            ['72', co.en_GB, cons.TV, 'QVC', 'mms://a1899.l3277436467.c32774.e.lm.akamaistream.net/D/1899/32774/v0001/reflector:36467'], # --crop=16:9 --aspect-ratio=16:9
            ['73', co.en_GB, cons.TV, 'Sky News', 'mms://live1.wm.skynews.servecast.net/skynews_wmlz_live300k'],
            ['74', co.en_GB, cons.TV, 'TFM Music', 'mms://85.119.217.29/TMFLive'],
            ['74', co.en_GB, cons.TV, 'Eurosport 1 HD', 'mms://195.90.118.25/eurosport1_1'],
            ['74', co.en_GB, cons.TV, 'Eurosport 2 HD', 'mms://195.90.118.25/eurosport2_1'],
            ['74', co.en_GB, cons.TV, 'e4', 'mms://195.90.118.25/e4_1'],
            ['74', co.en_GB, cons.TV, 'BBC 1 HD', 'mms://195.90.118.25/bbc1_1'],
            ['74', co.en_GB, cons.TV, 'Streetclip Tv', 'mms://streetclip.tv:1234/'],
            ['37', co.en_GB, cons.TV, 'Glasgow University Chapel Cam (UK)', 'mms://commsvs1.cent.gla.ac.uk/chapel'], 
            ['37', co.en_GB, cons.TV, 'Glasgow University Chapel Cam (UK)', 'mms://commsvs1.cent.gla.ac.uk/chapel'], 
            ['37', co.en_GB, cons.TV, 'Holiday TV (UK)', 'mms://server3.i2ic.com/iv?channel=16&bandwidth=4&token=fjuncfzJRxmP'], 
            ['37', co.en_GB, cons.TV, 'MTA 3 Int (UK)', 'mms://212.199.206.17/mta-high'], 
            ['37', co.en_GB, cons.TV, 'GAME NEWS TV', 'mms://a1191.v165449.c16544.g.vm.akamaistream.net/7/1191/16544/v001/roomediaco1.download.akamai.com/16544/wm.roomedia/902/902615_300.wmv?clipId=902615'], 
            ['37', co.en_GB, cons.TV, 'ACCESS SACRAMENTO', 'http://live.upstreamnetworks.com/15834-33555'], 
            ['37', co.en_GB, cons.TV, 'BOARDRIDERS TV', 'mms://quik4.impek.tv/brtv'], 
            ['37', co.en_GB, cons.TV, 'GEMS TV', 'mms://live.gemstv.co.uk/GemsTV'], 
            ['37', co.en_GB, cons.TV, 'SFGTV', 'mms://207.7.154.95/sanfrancisco_encoder2'], 
            ['37', co.en_GB, cons.TV, 'SUPREME MASTER', 'mms://smtv.godsdirectcontact.net/la_300k'], 
            ['37', co.en_GB, cons.RADIO, 'MATCHBOX RADIO 24 (slow)', 'http://www.live365.com/cgi-bin/play.pls?stationid=293185'], 
            ['37', co.en_GB, cons.RADIO, 'SIREN FM (slow)', 'http://www.live365.com/cgi-bin/play.pls?stationid=288238'], 
            ['37', co.en_GB, cons.RADIO, 'THE HUB', 'rtsp://real.uwe.ac.uk/live/thehub'], 
            ['37', co.en_GB, cons.TV, 'freetalk', 'mms://209.90.224.6/SCANLive'], 

            ## France ## 32
            ['80', co.fr_FR, cons.TV, 'Telenight', 'mms://195.95.225.110/telenight'],
            ['80', co.fr_FR, cons.TV, 'nrj Paris', 'mms://vipnrj.yacast.net/nrj_tvparis'],
            ['80', co.fr_FR, cons.TV, 'CityZen TV', 'http://movix.sdv.fr:8086/cityzen.asf'],
            ['80', co.fr_FR, cons.TV, 'France 24 French', 'mms://stream1.france24.yacast.net/f24_livefr'],
            ['80', co.fr_FR, cons.TV, 'France 24 English', 'mms://stream1.france24.yacast.net/f24_liveen'],
            ['80', co.fr_FR, cons.TV, 'France 24 Arabic', 'mms://stream1.france24.yacast.net/f24_livefrda'],
            ['80', co.fr_FR, cons.TV, 'France 2 - La Météo', 'mms://a988.v101995.c10199.e.vm.akamaistream.net/7/988/10199/3f97c7e6/ftvigrp.download.akamai.com/10199/horsgv/regions/siege/france2/meteo/meteo_GT.wmv'],
            ['80', co.fr_FR, cons.TV, 'IDF1', 'mms://live240.impek.com/idf1'],
            ['80', co.fr_FR, cons.TV, 'LaLocale TV', 'mms://stream.lalocale.com/lalocale'],
            ['80', co.fr_FR, cons.TV, 'LCP - Assemblée nationale', 'mms://vipmms9.yacast.net/rcs_lcplive?WMThinning=0'],
            ['80', co.fr_FR, cons.TV, 'MBOA TV', 'mms://88.191.23.167/mboatv'],
            ['80', co.fr_FR, cons.TV, 'Netgaming TV', 'mms://88.191.89.94/netgamingtv'],
            ['80', co.fr_FR, cons.TV, 'Orange Sport', 'mms://livewm.orange.fr/live-multicanaux'],
            ['80', co.fr_FR, cons.TV, 'Tele Night', 'mms://195.95.225.110/telenight'],
            ['80', co.fr_FR, cons.TV, 'TLM', 'mms://91.121.38.105/tlm'],
            ['80', co.fr_FR, cons.TV, 'TSF Network', 'mms://stream.tvsf.fr/live'],
            ['80', co.fr_FR, cons.TV, 'TV Grenoble', 'http://movix.sdv.fr:8084/teleg1.asf'],
            ['80', co.fr_FR, cons.TV, 'TV8 Moselle-Est', 'mms://live.tv8.fr/tv'],
            ['80', co.fr_FR, cons.TV, 'WEO TV', 'mms://91.121.188.214/weopub'],
            ['80', co.fr_FR, cons.TV, 'FR BFM TV EN DIRECT', 'mms://vipmms9.yacast.net/bfm_bfmtv'],
            ['80', co.fr_FR, cons.TV, 'CALAIS TV', 'mms://91.121.2.60/calaistv'],
            ['80', co.fr_FR, cons.TV, 'CANAL SAVOIR', 'mms://stream2.canal.qc.ca/enOndes_bas_debit'],
            ['80', co.fr_FR, cons.TV, 'CAP 24', 'mms://wm.live.tv-radio.com/cap24_360k'],
            ['80', co.fr_FR, cons.TV, 'CT2E', 'http://www.ct2e.com/live.wmv'],
            ['80', co.fr_FR, cons.TV, 'IRANCI', 'mms://live210.impek.com/inraci'],
            ['80', co.fr_FR, cons.TV, 'LABELLE TV', 'mms://www.labelletv.net/labelleTV'],
            ['80', co.fr_FR, cons.TV, 'MULIVAN TV', 'mms://mulivan.diffusepro.com/mulivantv'],
            ['80', co.fr_FR, cons.TV, 'NRJ HITS (slow)', 'mms://vipnrj.yacast.net/nrj_tvhit'],
            ['80', co.fr_FR, cons.TV, 'NRJ DANCE', 'mms://vipnrj.yacast.net/nrj_webtv02'],
            ['80', co.fr_FR, cons.TV, 'TELE 102', 'mms://www.tele102.net/tele102'],
            ['80', co.fr_FR, cons.TV, 'TELE NIGHT', 'mms://195.95.225.110/telenight'],
            ['80', co.fr_FR, cons.RADIO, 'RADIO SING SING (slow)', 'http://www.sing-sing.org/confort2.pls'],
            ['80', co.fr_FR, cons.TV, 'Kabbalah TV Francais', 'mms://vod.kab.tv/fre'],
            
             ## Italy ## 74
            ['80', co.it_IT, cons.TV, 'RTL', 'mms://151.1.245.36/rtl102.5vs'],
            ['80', co.it_IT, cons.TV, 'Canale 7', 'mms://151.1.245.65/CANALE7'],
            ['80', co.it_IT, cons.TV, 'CBL Film', 'mms://151.1.245.71/cblfilm-live'],
            ['80', co.it_IT, cons.TV, 'Cinquestelle TV', 'mms://iptv.telecard.it/Cinquestelle'],
            ['80', co.it_IT, cons.TV, 'ETV', 'mms://streaming.e-tv.it/etvsatellite'],
            ['80', co.it_IT, cons.TV, 'Idea TV', 'mms://streaming1.bsnewline.com/ideatv'],
            ['80', co.it_IT, cons.TV, 'LA8 Romagna', 'mms://iptv.telecard.it/LA8ER_LQ'],
            ['80', co.it_IT, cons.TV, 'Piu Blu', 'mms://151.1.245.65/unitedcom-v'], # Lombardia
            ['80', co.it_IT, cons.TV, 'Primocanale', 'mms://iptv.primocanale.it/diretta'],
            ['80', co.it_IT, cons.TV, 'Rai 3', 'mms://a1509.l6934735508.c69347.e.lm.akamaistream.net/D/1509/69347/v0001/reflector:45832'],
            ['80', co.it_IT, cons.TV, 'TV Oggi', 'http://85.18.170.70:8080'],
            ['80', co.it_IT, cons.TV, 'TRG', 'mms://212.104.10.35/TRG'],
            ['80', co.it_IT, cons.TV, 'Telesud TV', 'http://www.palermoweb.net/videostream/tvnews/tvnews.wmv'],
            ['80', co.it_IT, cons.TV, 'Teleradioerre', 'mms://www.teleradioerre.com/Teleradioerre'],
            ['80', co.it_IT, cons.TV, 'Sport Italia (slow)', 'mms://mms.cdn-tiscali.com/sportitalia'],
            ['80', co.it_IT, cons.TV, 'Sat2000 (Vatican)', 'mms://62.101.89.122/Sat2000'],
            ['80', co.it_IT, cons.TV, 'RTV 38', 'mms://streaming.intoscana.it/wmtencoder/rtv38.wmv'],
            ['80', co.it_IT, cons.TV, 'Retesole Perugia', 'mms://212.48.126.114/retesoleperugia'],
            ['80', co.it_IT, cons.TV, '3 CHANNEL', 'mms://84.233.254.2/3Channel'],
            ['80', co.it_IT, cons.TV, 'ANTENNA 6', 'mms://81.25.97.50/antenna6'],
            ['80', co.it_IT, cons.TV, 'CARPE DIEM', 'mms://iptv.telecard.it/carpediem'],
            ['80', co.it_IT, cons.TV, 'FLORENCE TV', 'http://www.florence.tv/playlist.aspx?v=135'],
            ['80', co.it_IT, cons.TV, 'IN CUCINA - TV', 'http://media.mi.interact.it/INTV_Incucina_Hi'],
            ['80', co.it_IT, cons.TV, 'LA8', 'mms://iptv.telecard.it/LA8VE_LQ'],
            ['80', co.it_IT, cons.TV, 'METEO.IT', 'http://media.meteo.it/TGItaBL.wmv'],
            ['80', co.it_IT, cons.TV, 'REPUBBLICA TV', 'http://live.mediaserver.kataweb.it/repubblicaradiotv'],
            ['80', co.it_IT, cons.TV, 'STUDIO 100 SAT', 'mms://iptv.telecard.it/Studio100'],
            ['80', co.it_IT, cons.TV, 'TELE MOLISE', 'mms://wmlive.telemolise.com/multicast_stream2'],
            ['80', co.it_IT, cons.TV, 'TELETRURIA', 'mms://83.147.65.2/TeletruriaLive'],
            ['80', co.it_IT, cons.RADIO, 'RADIO BLU', 'http://live2.streamingmedia.it/blu'],
            ['80', co.it_IT, cons.RADIO, 'RTL 102.5 Hit Channel', 'mms://151.1.245.36/rtl102.5vs/'],
            ['80', co.it_IT, cons.RADIO, 'GNUfunk Radio', 'http://gnufunk.org/radio/playlist.pls'],
            ['80', co.it_IT, cons.RADIO, 'CONTRORADIO', 'http://streaming.controradio.emmi.it:8190/'],
            ['80', co.it_IT, cons.RADIO, 'RADIO 105', 'mms://151.1.245.6/1'],
            ['80', co.it_IT, cons.RADIO, 'RADIO UNO (slow)', 'rtsp://live.media.rai.it/broadcast/radiouno.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO DUE (slow)', 'rtsp://live.media.rai.it/broadcast/radiodue.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO TRE (slow)', 'rtsp://live.media.rai.it/broadcast/radiotre.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO DEEJAY', 'mms://live.mediaserver.kataweb.it/radiodeejay?MSWMext=.asf'],
            ['80', co.it_IT, cons.RADIO, 'RTL 102.5', 'mms://151.1.245.36/rtl102.5lq/'],
            ['80', co.it_IT, cons.RADIO, 'RDS LIVE STREAMING', 'mms://fastreal.fastweb.it/RDS'],
            ['80', co.it_IT, cons.RADIO, 'RADIO GAMMA', 'http://live.wm.p1.str3.com/000999_bc_a365_radiogamma_mi'],
            ['80', co.it_IT, cons.RADIO, 'NOSTALGIA', 'mms://www.nostalgia.it/nostalgia'],
            ['80', co.it_IT, cons.RADIO, 'RADIO ONDA ROSSA', 'http://radio.dyne.org:8000/ondarossa.mp3'],
            ['80', co.it_IT, cons.RADIO, 'RADIO BLACKOUT', 'http://stream.teknusi.org:8000/blackout.mp3'],
            ['80', co.it_IT, cons.RADIO, 'RADIO SHERWOOD', 'http://62.101.68.185:8000/sherwood.ogg'],
            ['80', co.it_IT, cons.RADIO, 'VIRGIN RADIO', 'mmsh://151.1.245.1/20?MSWMExt=.asf'],
            ['80', co.it_IT, cons.RADIO, 'VIRGIN ROCK CLASSICO', 'mms://151.1.245.1/24'],
            ['80', co.it_IT, cons.RADIO, 'VIRGIN ROCK EXTREME', 'mms://151.1.245.1/25'],
            ['80', co.it_IT, cons.RADIO, 'VIRGIN ROCK ALTERNATIVE', 'mms://151.1.245.1/36'],
            ['80', co.it_IT, cons.RADIO, 'VIRGIN REVOLVER', 'mms://151.1.245.1/34'],
            ['80', co.it_IT, cons.RADIO, 'RADIO CAPITAL', 'mms://live.mediaserver.kataweb.it/capital?MSWMExt=.asf'],
            ['80', co.it_IT, cons.RADIO, 'RADIO CATANIA', 'mmsh://ams01.egihosting.com/584936/?MSWMExt=.asf'],
            ['80', co.it_IT, cons.RADIO, 'RADIO CICCIO RICCIO', 'mms://ciccioriccio.e20live.com/ciccioriccio'],
            ['80', co.it_IT, cons.RADIO, 'RADIO FIESOLE', 'http://83.103.40.204:8000/fiesole100.ogg'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MONTE CARLO 1', 'mms://151.1.245.1/2'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MONTE CARLO FILM', 'mms://151.1.245.1/12'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MONTE CARLO GREAT ARTIST', 'mms://151.1.245.1/6'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MONTE CARLO ITALIA', 'mms://151.1.245.1/18'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MONTE CARLO MARINE', 'mms://151.1.245.1/26'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MONTE CARLO THE BEST', 'mms://151.1.245.1/15'],
            ['80', co.it_IT, cons.RADIO, 'RADIO NAPOLI DOC', 'http://str30.creacast.com:80/radio_napolidoc'],
            ['80', co.it_IT, cons.RADIO, 'RADIO NORBA', 'http://onair1.xdevel.com/RadioNorba_32'],
            ['80', co.it_IT, cons.RADIO, 'RADIO RADICALE', 'http://livemp3.radioradicale.it/live.mp3'],
            ['80', co.it_IT, cons.RADIO, 'RADIO RAI FILUDIFFUSIONE 4 (slow)', 'rtsp://live.media.rai.it/broadcast/fd4.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO RAI FILODIFFUSIONE 5 (slow)', 'rtsp://live.media.rai.it/broadcast/fd5.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO RAI GR PARLAMENTO (slow)', 'rtsp://live.media.rai.it/broadcast/grparlamento.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO RAI ISORADIO (slow)', 'rtsp://live.media.rai.it/broadcast/isoradio.rm'],
            ['80', co.it_IT, cons.RADIO, 'RADIO RAI SATEL RADIO (slow)', 'rtsp://live.media.rai.it/broadcast/italica.rm'],  
            ['80', co.it_IT, cons.RADIO, 'RADIO ROCK FM', 'http://str30.creacast.com/r101_thema5'],
            ['80', co.it_IT, cons.RADIO, 'RADIO SIENA', 'mmsh://energy10.egihosting.com/776344?MSWMExt=.asf'],
            ['80', co.it_IT, cons.RADIO, 'RADIO SORRISO', 'http://212.103.197.217:8000/sorrriso_live'],
            ['80', co.it_IT, cons.RADIO, 'RADIO SOUND 95', 'mmsh://rs2.radiostreamer.com/RadioSound95.it?MSWMExt=.asf'],
            ['80', co.it_IT, cons.RADIO, 'RADIO UMBRIA RADIO', 'mms://212.48.126.114/umbria_radio'],
            ['80', co.it_IT, cons.RADIO, 'RADIO VATICANA RETE 2', 'mms://212.77.1.198/rete2'],
            ['80', co.it_IT, cons.RADIO, 'RADIO MARIA', 'mms://streaming1.eu.radiomaria.org/Italy'],
            ['80', co.it_IT, cons.TV, 'Kabbalah TV Italian', 'mms://vod.kab.tv/ita'],
            
            ## Argentina ## 18
            ['75', co.ar_AR, cons.TV, 'Canal 7', 'mms://canal7envivo.telecomdatacenter.com.ar/canal7envivo'],
            ['75', co.ar_AR, cons.TV, 'Arco Iris TV', 'mms://streaming3.arcoiris.tv/vive-adsl'],
            ['78', co.ar_AR, cons.TV, 'Canal 10 SRT - TN Television', 'mms://streamtn.uigc.net/TN'],
            ['76', co.ar_AR, cons.TV, 'Canal 11 - Paraná', 'mms://stream01.siglocero.net/canal11parana'],
            ['76', co.ar_AR, cons.TV, 'Canal 26', 'mms://200.115.194.1/Canal26?MSWMExt=.asf'],
            # http://200.115.194.1:8080/Canal26 
            ['77', co.ar_AR, cons.TV, 'Canal 13 - Vivo', 'mms://canal13.uigc.net/canal13vivo'],
            ['77', co.ar_AR, cons.TV, 'Canal 13 - Buenos Aires', 'http://www.telediariodigital.com.ar/video_/td.wmv'],
            # http://200.69.143.214/video_/td.wmv
            ['78', co.ar_AR, cons.TV, 'Canal Luz Satelite', 'mms://canalluz.telecomdatacenter.com.ar/canalluz/'],
            ['78', co.ar_AR, cons.TV, 'Plan Dj - Nueva imagen', 'mms://74.208.78.187/nuevaimagen'],
            ['78', co.ar_AR, cons.TV, 'La Red', 'mms://stream1.interrogacaodigital.net/tucumantv2'],
            ['78', co.ar_AR, cons.TV, 'Canal 5 Tucuman', 'mms://lared.wms.sinectis.com.ar/laredam910'],
            ['78', co.ar_AR, cons.RADIO, '89.1 Radio Mix', 'http://wmserver2.aginet.com.ar/FMPALERMO3'],
            ['78', co.ar_AR, cons.RADIO, '97.5 Vale', 'http://200.43.193.143/vale/.wma'],
            ['78', co.ar_AR, cons.RADIO, '98.3 La Mega', 'http://mega.telecomdatacenter.com.ar/mega/.wma'],
            ['78', co.ar_AR, cons.RADIO, '99.5 Radio Palermo', 'http://wmserver3.aginet.com.ar/FMPALERMO1/.wma'],
            ['78', co.ar_AR, cons.RADIO, '101.5 Pop', 'http://pop.telecomdatacenter.com.ar/pop/.wma'],
            ['78', co.ar_AR, cons.RADIO, '103.7 Amadeus', 'http://amadeus.telecomdatacenter.com.ar/amadeus/.wma'],
            ['78', co.ar_AR, cons.RADIO, '105.5 FM Hit', 'http://66.175.96.10/ARLOS40P/.wma'],
            
            ## Hungary ## 13
            ['80', co.hu_HU, cons.TV, 'Budapest 13', 'mms://media.bp13.hu/TV13'],
            ['80', co.hu_HU, cons.TV, 'Digi TV', 'http://193.110.59.95:8080'],
            ['80', co.hu_HU, cons.TV, 'Supra TV', 'mms://stream01.gtk.hu/Supra_boglar_tv'],
            ['80', co.hu_HU, cons.TV, 'TV 8', 'mms://adas.pixeltv.hu/tv8'],
            ['80', co.hu_HU, cons.TV, 'T1 TV (slow)', 'mms://stream02.gtk.hu/torokszentmiklos_tv'],
            ['80', co.hu_HU, cons.TV, 'SzuperNet Feher', 'mms://live2.szupernet.tv/feher90'],
            ['80', co.hu_HU, cons.TV, 'SIO TV slow)', 'mms://stream02.gtk.hu/sio_tv'],
            ['80', co.hu_HU, cons.TV, 'REVITA TELEVIZIO', 'mms://stream01.gtk.hu/revita_tv'],
            ['80', co.hu_HU, cons.TV, 'MELITTA TV', 'mms://stream01.gtk.hu/gil'],
            ['80', co.hu_HU, cons.TV, 'Magyar ATV TV', 'mms://broadcast.line.hu/ATVlive/audio'],
            ['80', co.hu_HU, cons.TV, 'Feherevar TV', 'mms://stream01.gtk.hu/fehervar_tv'],
            ['80', co.hu_HU, cons.TV, 'BUDAPEST TV', 'mms://media.bp13.hu/TV13'],
            ['80', co.hu_HU, cons.TV, 'DANCE TV (slow)', 'mms://stream02.gtk.hu/dance_tvd'],
   
            ## Turkey ## 12
            ['80', co.tr_TR, cons.TV, 'Çay', 'mms://84.16.227.87/CayTv'],
            ['80', co.tr_TR, cons.TV, 'Expo channel', 'mms://yayin.canlitv.com/expochannel'],
            ['80', co.tr_TR, cons.TV, 'Guney TV', 'mms://yayin.canlitv.com/guneytv/guneytv.asf'],
            ['80', co.tr_TR, cons.TV, 'Kanal 15', 'mms://193.200.241.14/HResid'],
            ['80', co.tr_TR, cons.TV, 'Kanal 48', 'mms://yayin.canlitv.com/kanal48'],
            ['80', co.tr_TR, cons.TV, 'Kirsehir TV', 'mms://94.75.240.129/kirsehirtv'],
            ['80', co.tr_TR, cons.TV, 'M44 TV Malatya', 'mms://70.86.151.230/MalatyaInternetTv'],
            ['80', co.tr_TR, cons.TV, 'Olay TV', 'mms://yayin.canlitv.com/olaytv'],
            ['80', co.tr_TR, cons.TV, 'Oncu RTV', 'mms://yayin.canlitv.com/oncurtv'],
            ['80', co.tr_TR, cons.TV, 'TRT1', 'mms://212.156.63.102/TV1'],
            ['80', co.tr_TR, cons.TV, 'TV41', 'mms://yayin.canlitv.com/tv41'],
            ['80', co.tr_TR, cons.TV, 'YOL', 'mms://85.214.55.224/yol'],
            
            ## China ## 11
            ['80', co.cn_CN, cons.TV, 'CCTV 9', 'mms://72.166.136.132/cctv9-300'], # Central China TV
            ['80', co.cn_CN, cons.TV, 'CSPN Sports', 'mms://58.48.156.93/hubeitiyu'],
            ['80', co.cn_CN, cons.TV, 'LSTV 1', 'mms://202.96.114.251/lstv'],
            ['80', co.cn_CN, cons.TV, 'NC News', 'mms://live2.ncnews.com.cn/sjb?userid=guest&token=7b4821c3f9ae818c3964a687a62773a2'],
            ['80', co.cn_CN, cons.TV, 'Shanghai PanCam', 'mms://www.onedir.com/cam3'],
            ['80', co.cn_CN, cons.TV, 'Shanghai Huang Pu River Cam', 'mms://www.onedir.com/cam1'],
            ['80', co.cn_CN, cons.TV, 'SUN TV', 'mms://211.157.10.21/suntvlive'],
            ['80', co.cn_CN, cons.TV, 'Weather China', 'mms://hainan.weathercn.com/qx'],
            ['80', co.cn_CN, cons.TV, 'XZTV 1)', 'mms://218.3.205.21/xwzhpd'],
            ['80', co.cn_CN, cons.TV, 'XZTV 2', 'mms://218.3.205.21/jjshpd'],
            ['80', co.cn_CN, cons.TV, 'XZTV 3', 'mms://218.3.205.21/shzfpd'],
            ['80', co.cn_CN, cons.TV, 'webshss', 'mms://webshss.bbtv.cn/webshss'],
            ['80', co.cn_CN, cons.TV, 'webcbn', 'mms://webcbn.bbtv.cn/webcbn'],
            ['80', co.cn_CN, cons.TV, 'webdsj', 'mms://webdsj.bbtv.cn/webdsj'],
            ['80', co.cn_CN, cons.TV, 'web dfdy', 'mms://webdfdy.bbtv.cn/webdfdy'],
            ['80', co.cn_CN, cons.TV, 'cctv2', 'mms://61.175.162.94/cctv2'],
                        
            ## Brazil ## 10
            ['80', co.pl_PL, cons.TV, 'ALLTV', 'mms://media.brturbo.com.br/turbotv.wmv'],
            ['80', co.pl_PL, cons.TV, 'CRISTO VIVE', 'mms://overserver1000.com/tvcristovive3'],
            ['80', co.pl_PL, cons.TV, 'HI-LIFE TV', 'mms://espalhabrasas.sapo.pt/hilifetv'],
            ['80', co.pl_PL, cons.TV, 'JUST TV', 'mms://208.109.239.158/Fazoko'],
            ['80', co.pl_PL, cons.TV, 'REDE FAMILIA', 'mms://srv3.ntelecom.com.br/redefamilia'],
            ['80', co.pl_PL, cons.TV, 'RTPN TV', 'mms://195.245.168.21/rtp'],
            ['80', co.pl_PL, cons.TV, 'TV CAMBURY', 'mms://stream1.interrogacaodigital.net/cambury'],
            ['80', co.pl_PL, cons.TV, 'CACAO NOVA', 'mms://200.98.195.4/tvcn'],
            ['80', co.pl_PL, cons.TV, 'TV CLENCIA', 'http://video-wm.tvciencia.pt/video/tvcnews_256.wmv'],
            ['80', co.pl_PL, cons.TV, 'YOURVIDA', 'mms://media.stream-music.net/stream2'],
            
            ## Germany ## 10
            ['80', co.de_DE, cons.TV, 'VFO', 'http://members.inext.at/vof-tv/vof-tv/tv.wmv'],
            ['80', co.de_DE, cons.TV, 'Stuttgart Cam', 'mms://81.169.180.142/Stream-Stuttgart-9F4gS329'],
            ['80', co.de_DE, cons.TV, 'Rheinmain TV', 'mms://rheinmaintv-livestream.de/rmtv-livestream'],
            ['80', co.de_DE, cons.TV, 'WORM TV', 'mms://wms.global-streaming.net/04988'],
            ['80', co.de_DE, cons.TV, 'ANTENNEWEST', 'http://stream.christo.net/Antennewest'],
            ['80', co.de_DE, cons.TV, 'ASTRO TV', 'mms://atkon-webcast1-700k.wm.llnwd.net/atkon_webcast1_700K'],
            ['80', co.de_DE, cons.TV, 'CAMORAKEL TV', 'mms://85.214.87.175/camorakel/'],
            ['80', co.de_DE, cons.TV, 'DONAU TV', 'mms://d8019013966.w.glx.core006.cdn.streamfarm.net/11008bmt/live/3338s04donautv/300.wmv?cid=60535'],
            ['80', co.de_DE, cons.TV, 'TRP 1', 'mms://d8019013966.w.glx.core006.cdn.streamfarm.net/11008bmt/live/3338s12trp1/300.wmv?cid=60996'],
            ['80', co.de_DE, cons.TV, 'NDR HAMBURG', 'http://ndr-fs-nds-hi-wmv.wm.llnwd.net/ndr_fs_nds_hi_wmv'],
            ['80', co.de_DE, cons.TV, 'Kabbalah TV Deutsch', 'mms://vod.kab.tv/ger'],
            
            ## Austria ## 9
            ['80', co.at_AT, cons.TV, 'Burgenland TV', 'mms://83.142.83.22/bgld'],
            ['80', co.at_AT, cons.TV, 'Mittelburgenland TV', 'mms://83.142.83.22/bgld_m'],
            ['80', co.at_AT, cons.TV, 'Nordburgenland TV', 'mms://83.142.83.22/bgld_n'],
            ['80', co.at_AT, cons.TV, 'Paznaun skicenter Cam', 'mms://streamnt02.highway.telekom.at/panorama_see_adsl'],
            ['80', co.at_AT, cons.TV, 'Radio Noe Cam', 'mms://radio-noe.streaming.kabsi.at/radio_noe_cam'],
            ['80', co.at_AT, cons.TV, 'HT1 LIVE (slow)', 'mms://mediastream.mghmedien.at/mgh-tv'],
            ['80', co.at_AT, cons.TV, 'MF1', 'mms://gcs.redir.pkfdom.ris.at/mf1plus'],
            ['80', co.at_AT, cons.TV, 'REISE TV', 'mms://213.155.73.167/treffpunkt-austria-tv_standard_15'],
            ['80', co.at_AT, cons.TV, 'Suedburgenland TV', 'mms://globalserver.speednet.at/sbgldtv_live01'],    
                
            ## Thailand ## 9
            ['80', co.th_TH, cons.TV, 'Thai Tv', 'mms://broadcast.manager.co.th/11news1'],
            # mms://broadcast.manager.co.th/11news1?wmcontentbitrate=120000
            ['80', co.th_TH, cons.TV, 'X??', 'mms://video.tv5.co.th/live'],
            ['80', co.th_TH, cons.TV, 'X2??', 'mms://202.142.200.130/tv9?WMcontentBitrate=256000'],
            ['80', co.th_TH, cons.TV, 'ASTV2 - Toc', 'mms://broadcast.manager.co.th/toc'],
            ['80', co.th_TH, cons.TV, 'Kimeng', 'mms://202.57.163.14/kimeng1'],
            ['80', co.th_TH, cons.TV, 'Faikham TV', 'mms://media.ru.ac.th/Faikham_TV'],
            ['80', co.th_TH, cons.TV, 'Koh Samui Cam', 'mms://wms.th66.com/Livecam218'],
            ['80', co.th_TH, cons.TV, 'MVTV My', 'mms://61.19.248.196/mvtv_8?WMContentBitrate=256000'],
            ['80', co.th_TH, cons.TV, 'Siam Sport', 'mms://58.147.79.136/siamsport'],

            ## Poland ## 7
            ['80', co.pl_PL, cons.TV, 'TVFLY RAP', 'mms://tvfly.server-tv.com/TVFLY/?MSWMExt=.asf'],
            ['80', co.pl_PL, cons.TV, 'iTV', 'mms://stream.mni.pl/ITV'],
            ['80', co.pl_PL, cons.TV, 'Toya TV', 'mms://217.113.224.22/TVToya'],
            ['80', co.pl_PL, cons.TV, 'TV Trwam', 'mms://195.94.205.211/Trwam'],
            ['80', co.pl_PL, cons.TV, 'TVFLY', 'mms://tvfly.server-tv.com/TVFLY'],
            ['80', co.pl_PL, cons.TV, 'Wapster TV', 'mms://nadajnik.wapster.pl/wapstertv'],
            ['80', co.pl_PL, cons.TV, 'Kiss TV', 'mms://ml2.gazeta.pl/kiss_tv'],
            
            ## Russia ## 6
            ['79', co.ru_RU, cons.TV, 'РБК tv', 'mms://tv.gldn.net/rbc'],
            ['80', co.ru_RU, cons.TV, 'Eurosport News', 'mms://stream02.rambler.ru/eurosport'],
            ['80', co.ru_RU, cons.TV, 'City FM', 'mms://87.242.72.62/cityvideo'],
            ['80', co.ru_RU, cons.TV, 'CNL [Siberia]', 'mms://live.cnl.tv/cnl-sib'],
            ['80', co.ru_RU, cons.TV, 'MIR TV', 'mms://213.232.226.11/MIRTV_300'],
            ['80', co.ru_RU, cons.TV, 'TBN', 'mms://mms.rrsat-internet.tv/tbn'],
            
            ## South Korea ## 5
            ['80', co.kr_KR, cons.TV, 'CGN TV', 'mms://cdn7.cgntv.net/live200'], 
            ['80', co.kr_KR, cons.TV, 'C3TV', 'mms://211.63.212.50/live'],
            ['80', co.kr_KR, cons.TV, 'CBS', 'mms://vod2.cbs.co.kr/cbs_tv_live34'],
            ['80', co.kr_KR, cons.TV, 'CTS', 'mms://222.122.78.81/LIVE'],
            ['80', co.kr_KR, cons.TV, 'MBN Dream', 'mms://mbnlive.hanafoslive.com/mkimbn200'],
   
            ## Mexico ## 3
            ['80', co.mx_MX, cons.TV, 'Canal 53 UNAL', 'mms://148.234.13.58/canal53bandaancha'],
            ['80', co.mx_MX, cons.TV, 'Grupo FM TV', 'mms://70.85.59.52/grupofm'],
            ['80', co.mx_MX, cons.TV, '95.1 LATINO VIBE (REGGAETON)', 'http://95latinovibe.clients.brians.com:8000/951latinovibe.mp3'],

            ## Venezuela ## 2
            ['80', co.ve_VE, cons.TV, 'Promar TV', 'mms://corpoweb.interrogacaodigital.net/corpoweb'],
            ['80', co.ve_VE, cons.TV, 'VIVE TV', 'mms://streaming3.arcoiris.tv/vive-adsl'],

            ## Greece ## 3
            ['80', co.gr_GR, cons.TV, 'Achaia News', 'mms://174.36.42.85/achaiatv1'],
            ['80', co.gr_GR, cons.TV, 'Sport TV', 'mms://broadcast.hol.gr/tvmagic'],
            ['80', co.gr_GR, cons.TV, 'West Channel', 'mms://216.66.84.2/584932'],

            ## Portugal ## 3
            ['80', co.pt_PT, cons.TV, 'Guimaraes TV', 'mms://espalhabrasas.sapo.pt/guimaraestv'],
            ['80', co.pt_PT, cons.TV, 'Minho Actual TV', 'mms://espalhabrasas.sapo.pt/minhoactualtv'],
            ['80', co.pt_PT, cons.TV, 'TV Net', 'mms://espalhabrasas.sapo.pt/tvnet'],
            
            ## Iraq ## 3
            ['80', co.iq_IQ, cons.TV, 'Turkmeneli TV', 'mms://94.75.240.129/turkmenelitv'],
            ['80', co.iq_IQ, cons.TV, 'Zagros TV', 'mms://live.zagrostv.com/zag'], # Kurdistan/Iraq
            ['80', co.iq_IQ, cons.TV, 'Kurdistan TV', 'mms://81.26.218.82/kurdistantv?wmbitrate=291000'], # Kurdistan
            
            ## Vietnam ## 2
            ['80', co.vn_VN, cons.TV, 'THVL', 'mms://123.30.108.77/THVL1'],
            ['80', co.vn_VN, cons.TV, 'Vietnamnet TV', 'mms://tv.vietnamnet.vn/live'],
            ['80', co.vn_VN, cons.TV, 'Giai Tri nuoc ngoai', 'http://63.218.83.51/MaksTv'],
            
            ## Congo ## 2
            ['80', co.cg_CG, cons.TV, 'BRN TV', 'mms://almadina.tv.ly/live'],
            ['80', co.cg_CG, cons.TV, 'Congo Planet', 'mms://congoplanet.com/Congo_Planet_TV'],
            
            ## Cuba ## 2
            ['80', co.cu_CU, cons.TV, 'TV Martí', 'mms://a165.1211035484.c2110.g.lm.akamaistream.net/D/165/2110/v0001/reflector:35484'],
            ['80', co.cu_CU, cons.TV, 'Cubavision', 'mms://200.55.129.7:80/Tvcubana/Tvcubana.asx'],

            ## Bosnia and Herzegovina ## 2
            ['80', co.ba_BA, cons.TV, 'TV Slon', 'mms://media.bih.net.ba/radioslon1'],
            ['80', co.ba_BA, cons.TV, 'Valentino BH OTV', 'mms://77.74.231.12/web2'],
            
            ## Romania ## 2
            ['80', co.ro_RO, cons.TV, 'Alfa Omega Movies', 'mms://ns.alfanet.ro/live'],
            ['80', co.ro_RO, cons.TV, 'Crestin TV', 'mms://ns.alfanet.ro/CrestinTv'],
            
            ## Albania ## 2
            ['80', co.al_AL, cons.TV, 'Vizion Plus', 'http://www.vizionplus.tv/foto/lajme.wmv'],
            ['80', co.al_AL, cons.TV, 'Albanian TV of Michigan', 'mms://live.upstreamnetworks.com/19514-47599'],
            
            ## Switzerland ## 2
            ['80', co.ch_CH, cons.TV, 'Tele M1', 'mms://wms01.agglo.ch/m1-live'],
            ['80', co.ch_CH, cons.TV, 'Tele Tell', 'mms://wms01.agglo.ch/tell-live'],
            
            ## Chile ## 2
            ['80', co.cl_CL, cons.TV, 'Canal 13', 'http://streaming.entelchile.net/canal13'],
            ['80', co.cl_CL, cons.TV, 'Canal 54', 'http://streaming.entelchile.net/canal54'],
            
            ## Sweden ## 2
            ['80', co.se_SE, cons.TV, 'DKNET', 'mms://wm-live.crossnet.net/dknettv'],
            ['80', co.se_SE, cons.TV, 'Kanal 10', 'mms://wm-live.crossnet.net/kanal10'],
            
            ## Dominican Republic ## 2
            ['80', co.do_DO, cons.TV, 'Digital 15', 'mms://66.128.53.146/DIGITAL15'],
            ['80', co.do_DO, cons.TV, 'TeleMicro', 'mms://66.128.53.146/TELEMICRO'],
            
            ## Belgium ## 2
            ['80', co.be_BE, cons.TV, 'RTC Tele Liege', 'http://video.rtc.be/jt_du_jour.wmv'],
            ['80', co.be_BE, cons.TV, 'RTV', 'http://www.rtv-media.be/nieuws/nieuwskempen.wmv'],

            ## Netherlands ## 2
            ['80', co.nl_NL, cons.TV, 'Graafschap TV', 'mms://graafschaptv.streamonline.nl/graafschaptv'],
            ['80', co.nl_NL, cons.TV, 'NOS Journaal 24', 'mms://livemedia2.omroep.nl/nos_journaal24-bb'],
            
            ## Japan ## 2
            ['80', co.jp_JP, cons.TV, 'POD TV', 'mms://dca.live.pod.tv/tandm56-2'],
            ['80', co.jp_JP, cons.TV, 'Fuji News Network', 'http://www.fnn-news.com/en/news/playlist/video/wmv/news_300_en.asx'],
            
            ## Canada ## 1
            ['80', co.ca_CA, cons.TV, 'The Shopping Channel', 'mms://38.99.151.49/shop2/tsc.asx'],

            ## Slovenia ## 1
            ['80', co.si_SI, cons.TV, 'Paprika TV', 'mms://wmedia.siol.net/paprika/live'],
            
            ## Egypt ## 1
            ['80', co.eg_EG, cons.TV, 'Sat 7 Kids', 'mms://energy10.egihosting.com/859238'], 
            
            ## Norway ## 1
            ['80', co.no_NO, cons.TV, 'NRK 2 TV', 'mms://mms-icanal-live.online.no/nrk_tv_webvid04_h'],
            
            ## Libya ## 1
            ['80', co.li_LY, cons.TV, 'Al Madina', 'mms://almadina.tv.ly/live'],
            
            ## South Africa ## 1
            ['80', co.za_ZA, cons.TV, 'Divine Truth', 'mms://78.129.146.199/divinetruth'], 
            
            ## India ## 1
            ['80', co.in_IN, cons.TV, 'IBN Lokmat', 'mms://a990.l4028444989.c40284.a.lm.akamaistream.net/D/990/40284/v0001/reflector:44989'],

            ## Iran ## 1
            ['80', co.ir_IR, cons.TV, 'Press TV English', 'mms://wms.edgecastcdn.net/200216/ipresstv'],
           
            ## Antigua and Barbuda ## 1
            ['80', co.ag_AG, cons.TV, 'ABS', 'mms://winmedia.act2000.net/abstv'],
            
            ## Andorra ## 1
            ['80', co.ad_AD, cons.TV, 'ATV', 'mms://194.158.91.91/Atv'],

            ## Belize ## 1
            ['80', co.bz_BZ, cons.TV, '7 News', 'mms://200.32.198.90/7news'],
            
            ## El salvador ## 1
            ['80', co.sv_SV, cons.TV, 'Canal 21', 'mms://livetv2.siscompnetwork.com/canal21'],
             
            ## Bolivia ## 1
            ['80', co.bo_BO, cons.TV, 'Redadvenir', 'mms://eleden.com/redadvenir'],
            
            ## Colombia ## 1
            ['80', co.co_CO, cons.TV, 'Teleantioquia', 'mms://200.12.176.10/comunicacionpolitica/cienciaspoliticas21abr2009.wmv'],
            
            ## Luxemburgo ## 1
            ['80', co.lu_LU, cons.TV, 'RTL', 'mms://streaming.newmedia.lu/telehighres'],
            
            ## Malta ## 1
            ['80', co.mt_MT, cons.TV, 'Smash Tv', 'mms://stream01.nextweb.net.mt/SmashTV'],
           
            ## Kuwait ## 1
            ['80', co.kw_KW, cons.TV, 'Al Watan Plus', 'mms://stream8.netro.ca/watantv/watanplus'],
           
            ## Qatar ## 1
            ['80', co.qa_QA, cons.TV, 'Al-Hekmah', 'mms://alhekmah.tv/live'],
           
            ## Lebanon ## 1
            ['80', co.lb_LB, cons.TV, 'Al-Manar TV', 'mms://209.172.60.145/live'],
            
            ## Pakistan ## 1
            ['80', co.pk_PK, cons.TV, 'Express News', 'mms://ams01.egihosting.com/ExpressEnglish'],
            
            ## Jordan ## 1
            ['80', co.jo_JO, cons.TV, 'Jordan TV', 'mms://stream.jrtv.jo/jrtv'],
            
            ## Israel ## 1
            ['80', co.il_IL, cons.TV, 'Radios 100 Cam', 'mms://213.8.193.29/100fmcam'],

            ## Armenia ## 1
            ['80', co.am_AM, cons.TV, 'Amga TV', 'mms://74.208.15.132/Amga'],
            
            ## Kazakhstan ## 1
            ['80', co.kz_KZ, cons.TV, 'CNL Siberia', 'mms://live.cnl.tv/cnl-sib'],
            
            ## Czech Republic ## 1
            ['80', co.cz_CZ, cons.TV, 'HDTV1', 'mms://server3.streaming.cesnet.cz/hdtv1?WMThinning=0&MSWMExt=.asf'],
            
            ## Bulgaria ## 1
            ['80', co.bg_BG, cons.TV, 'Hip Hop TV', 'mms://84.22.1.210/hiphoptv'],
            
            ## Azerbaijan ## 1
            ['80', co.az_AZ, cons.TV, 'Lider TV', 'mms://85.132.50.243/Lider_Online'],
            
            ## Latvia ## 1
            ['80', co.lv_LV, cons.TV, 'LZK News', 'mms://stream.grafton.lv/live_lzk_lo'], # lativa?

            ## Estonia ## 1
            ['80', co.ee_EE, cons.TV, 'Ring FM Cam', 'mms://wms5.neti.tv/ringfm'],
             
            ## Denmark ## 1
            ['80', co.dk_DK, cons.TV, 'National Georaphic Wild', 'mms://80.167.239.220/Encoder16'],
            
            ## Australia ## 1
            ['80', co.au_AU, cons.TV, 'ABC Kids', 'mms://media4.abc.net.au/broadbandkids/20070521_1500/story1hi.wmv'],

            # ADD YOUR OWN CHANNELS HERE! (FOR NOW)
          ]
