#!/usr/bin/env python
# -*- coding: utf-8 -*-

## Tivion
## Copyright (C) 2009 Ángel Guzmán Maeso
## http://shakaran.es
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <http://www.gnu.org/licenses/>.

import constants as cons
import locale
import gettext
locale.setlocale(locale.LC_ALL, '')
gettext.bindtextdomain('tivion', cons.LOCALE_DIR)
gettext.textdomain('tivion')
_ = gettext.gettext

# Tranlations for countries
# Naming with ISO 3166-1 alpha-2 
# http://www.iso.org/iso/country_codes/iso_3166_code_lists/english_country_names_and_code_elements.htm
# http://en.wikipedia.org/wiki/ISO_3166-1
es_ES = _('Spain')
en_GB = _('United Kingdom')
ar_AR = _('Argentina')
ru_RU = _('Russia')
th_TH = _('Thailand')   
en_US = _('EEUU')
fr_FR = _('France')
de_DE = _('Germany')
it_IT = _('Italy')
cl_CL = _('Chile')
pl_PL = _('Poland')
mx_MX = _('Mexico')
so_af = _('South Africa')
cn_CN = _('China')
tr_TR = _('Turkey')
do_DO = _('Dominican Republic')
be_BE = _('Belgium')
ca_CA = _('Canada')
nl_NL = _('Netherlands')
at_AT = _('Austria')
ch_CH = _('Switzerland')
se_SE = _('Sweden')
gr_GR = _('Greece')
ro_RO = _('Romania')
al_AL = _('Albania')
hu_HU = _('Hungary')
si_SI = _('Slovenia')
pt_PT = _('Portugal')
eg_EG = _('Egypt')
no_NO = _('Norway')
cu_CU = _('Cuba')
cg_CG = _('Congo')
ba_BA = _('Bosnia and Herzegovina')
li_LY = _('Libya')
za_ZA = _('South Africa')
in_IN = _('India')
ir_IR = _('Iran')
kr_KR = _('South Korea')
jp_JP = _('Japan')
ag_AG = _('Antigua and Barbuda')
ad_AD = _('Andorra')
bz_BZ = _('Belize')
sv_SV = _('El salvador')
bo_BO = _('Bolivia')
co_CO = _('Colombia')
mt_MT = _('Malta')
kw_KW = _('Kuwait')
qa_QA = _('Qatar')
lb_LB = _('Lebanon')
jo_JO = _('Jordan')
il_IL = _('Israel')
lu_LU = _('Luxemburgo')
pk_PK = _('Pakistan')
iq_IQ = _('Iraq')
am_AM = _('Armenia')
kz_KZ = _('Kazakhstan')
cz_CZ = _('Czech Republic')
bg_BG = _('Bulgaria')
az_AZ = _('Azerbaijan')
lv_LV = _('Latvia')
ee_EE = _('Estonia')
au_AU = _('Australia')
vn_VN = _('Vietnam')
ve_VE = _('Venezuela')
br_BR = _('Brazil')
dk_DK = _('Denmark')
